Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

Imports

Import and match properties and people

Operations

Automations

Configure Alerts and Automations

Operations

Update an automation

Request

Update an existing automation or configure new automation for a list.

This operation overwrites any existing automation configuration for this list. So make sure you use GET /lists/{ListID}/automations to get a copy of the existing configuration to populate your PUT request body with any values you do not wish to change.

Security
api_key_bearer
Path
ListIDintegerrequired

Identifies the list that triggers this automation.

Example: 123456
Bodyapplication/jsonrequired
isEnabledinteger

Indicates if the automation is enabled or not.

Enum01
Example: 1
Triggersstring

The event(s) that trigger this automation.

  • New Matches
    Occurs when a property is added to your list. Either because it was added manually by you, or because of a change to the property that resulted in it now matching your criteria and being added automatically.
  • Status Changes
    Occurs when a property that is already in your list has a change in status. These include new transfers, loans, listings and foreclosures, as well as changes in listing status, listing price, or foreclosure status.
Enum"New Matches""Status Changes""New Matches,Status Changes"
Example: "New Matches,Status Changes"
DailyEmailMemberIDsstring

These are the MemberIDs (separate with comma) to receive a daily email.

Example: "38225,38226"
ImmediateEmailMemberIDsstring

These are the MemberIDs (separate with comma) to receive an immediate email.

Example: "38225,38226"
ExportToWebhookIDsstring

These are the WebhookIDs (separate with comma) to receive an webhook call. See GET /integrations/webhooks (View all webhooks) to obtain WebhookIDs.

Example: "38225,38226"
DirectMailOrderIDstring

This is the DirectMailOrderID to add the properties to.

Example: "38225,38226"
EmailMarketingOrderIDstring

This is the EmailMarketingOrderID will be used for processing email marketing automations.

Example: "38225,38226"
MobileNotificationMemberIDsstring

These are the MemberIDs (separate with comma) to receive push notifications on the PropertyRadar mobile app.

Example: "38225,38226"
SetInterestLevelinteger

Set the InterestLevel to which properties will be set when they trigger this automation. Use a number between 1-5 or specify 0 to unset interest.

Enum012345
SetStatusLevelinteger

Set the StatusLevel to which properties will be set when they trigger this automation. Use a number between 1-9 or specify 0 to set status to None.

AddToListsstring

Set the ListIDs to which properties will be added when they trigger this automation. Must not be the same list as triggers the automation. Use GET /lists to see your ListIDs.

Example: "353795,353796"
RemoveFromListsstring

Set the ListIDs to which properties will be removed when they trigger this alert. Must not be the same list as triggers the alert

Example: "353795,353796"
PurchasePhoneinteger

Set to 1 to purchase and append phones for properties that trigger this automation.You will be charged against your balance for each record triggered according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: 1
PurchaseEmailinteger

Set to 1 to purchase and append emails for properties that trigger this automation. You will be charged against your balance for each record triggered according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: 1
curl -i -X PUT \
  https://api.propertyradar.com/v1/lists/123456/automations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "isEnabled": 1,
    "Triggers": "New Matches,Status Changes",
    "DailyEmailMemberIDs": "38225,38226",
    "ImmediateEmailMemberIDs": "38225,38226",
    "ExportToWebhookIDs": "38225,38226",
    "DirectMailOrderID": "38225,38226",
    "EmailMarketingOrderID": "38225,38226",
    "MobileNotificationMemberIDs": "38225,38226",
    "SetInterestLevel": 0,
    "SetStatusLevel": 1,
    "AddToLists": "353795,353796",
    "RemoveFromLists": "353795,353796",
    "PurchasePhone": 1,
    "PurchaseEmail": 1
  }'

Responses

Success

Bodyapplication/json
updateCountinteger

The number of items updated during the execution of the request.

Example: 1
Response
application/json
{ "updateCount": 1 }

View an automation

Request

View the details of the automation for the list.

Security
api_key_bearer
Path
ListIDintegerrequired

Identifies the list that triggers this automation.

Example: 123456
curl -i -X GET \
  https://api.propertyradar.com/v1/lists/123456/automations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ {} ] }

Accounts

Account info and preferences

Operations

Documents

Get and edit documents that make up the transaction history for a property

Operations